Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.tools.resources
Class PropertiesAttribute

    java.lang.Object
      |
      +--org.w3c.tools.resources.Attribute
            |
            +--org.w3c.tools.resources.ArrayAttribute
                  |
                  +--org.w3c.tools.resources.PropertiesAttribute

public class PropertiesAttribute
extends ArrayAttribute

The generic description of an PropertiesAttribute. A PropertiesAttribute instance holds a String to String mapping, it should be used only with care, since people may act on a reference to it.

See Also:
  Serialized Form

Fields inherited from class org.w3c.tools.resources.Attribute
`COMPUTED, DONTSAVE, EDITABLE, flags, MANDATORY, name, type`

Constructor Summary
`PropertiesAttribute()`
`PropertiesAttribute(java.lang.String name, java.lang.String def, int flags)` Create a description for a generic property list attribute.

Method Summary
`boolean` | `checkValue(java.lang.Object obj)` Is the given object a valid PropertiesAttribute value ?
`java.lang.String[]` | `pickle(java.lang.Object o)` Pickle an attribute array into a String array.
`java.lang.Object` | `unpickle(java.lang.String[] array)` Unpickle an attribute array from a string array.

Methods inherited from class org.w3c.tools.resources.ArrayAttribute
`stringify`

Methods inherited from class org.w3c.tools.resources.Attribute
`checkFlag, getDefault, getFlag, getName, getType, setFlag, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertiesAttribute

    public PropertiesAttribute(java.lang.String name,
                               java.lang.String def,
                               int flags)

  Create a description for a generic property list attribute.
  Parameters:
    `name` - The attribute name.
    `def` - The default value for these attributes.
    `flags` - The associated flags.

### PropertiesAttribute

    public PropertiesAttribute()

Method Detail

### checkValue

    public boolean checkValue(java.lang.Object obj)

  Is the given object a valid PropertiesAttribute value ?
  Overrides:
    checkValue in class Attribute
  Parameters:
    `obj` - The object to test.
  Returns:
    A boolean true if value is valid.

### unpickle

    public java.lang.Object unpickle(java.lang.String[] array)

  Unpickle an attribute array from a string array.
  Overrides:
    unpickle in class ArrayAttribute
  Parameters:
    `array` - the String array
  Returns:
    a Object array

### pickle

    public java.lang.String[] pickle(java.lang.Object o)

  Pickle an attribute array into a String array.
  Overrides:
    pickle in class ArrayAttribute
  Parameters:
    `array` - the attribute array
  Returns:
    a String array

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD